<?php
function heading($atts)
{
    extract(shortcode_atts(array(
        'text'               	=> '',
        'type'               	=> ''
    ), $atts));
    
    $result ='';
    if($type == 'Header-With-DOT')
    {
        $result .= '
		<header class="header-section">
			<h2>'.esc_attr($text).'<span class="color">.</span></h2>
		</header>';
    }
    elseif($type == 'Header-Without-DOT')
    {
        $result .= '
		<header class="header-section">
			<h2>'.esc_attr($text).'</h2>
		</header>';
    }
	elseif($type == 'Header-Style2')
    {
        $result .= '
		<header class="header-section style-2 margin-top">
			<h2>'.esc_attr($text).'</h2>
		</header>';
    }
	elseif($type == 'Header-Style3')
    {
        $result .= '
		<header class="header-section style-2">
			<h2>'.esc_attr($text).'</h2>
		</header>';
    }
	elseif($type == 'Header-Style4')
    {
        $result .= '
		<h3 class="box-title">'.esc_attr($text).'</h3>';
    }
    return $section_heading = force_balance_tags( $result );
}
add_shortcode( "rms-heading", "heading" );